Get list of organizations
curl --request GET \
--url https://api.xata.tech/organizations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.xata.tech/organizations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.xata.tech/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizations": [
{
"id": "<string>",
"name": "<string>",
"status": {
"status": "enabled",
"disabled_by_admin": true,
"billing_status": "ok",
"usage_tier": "t1",
"last_updated": "2023-11-07T05:31:56Z",
"admin_reason": "<string>",
"billing_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"message": "<string>",
"id": "<string>"
}{
"message": "invalid API key"
}{
"message": "<string>",
"id": "<string>"
}Organizations
Get list of organizations
Retrieve the list of all organizations the authenticated user belongs to, including their IDs and names. This endpoint allows users to view all organizations they have access to.
GET
/
organizations
Get list of organizations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowImplicit
- Authorization URL
- https://auth.xata.io/realms/xata/protocol/openid-connect/auth
Scopes1
org:read
Read organization information
Response
OK
List of organizations the user has access to
Show child attributes
Show child attributes
Was this page helpful?